DCOPObjectProxy class Reference (dcop Library)

| # dcop Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DCOPObjectProxy Class Reference

You must use a proxy if you want to dispatch method calls for object IDs which dont have (yet) a corresponding DCOPObject. More...

`#include <dcopobject.h>`

Collaboration diagram for DCOPObjectProxy:

[legend]
List of all members.

## Public Member Functions
| DCOPObjectProxy ()
| Creates a new proxy.
| DCOPObjectProxy (DCOPClient *)
| Obsolete, do not use.
virtual | ~DCOPObjectProxy ()
| Destroy the proxy.
virtual bool | process (const QCString &obj, const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
| Reimplement this method to dispatch method calls.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
## Friends
class | DCOPClient

## Detailed Description

You must use a proxy if you want to dispatch method calls for object IDs which dont have (yet) a corresponding DCOPObject.

This is somewhat like virtual object references in CORBA.

See also:
  DCOPObject

  DCOPClient

Author:
  Matthias Ettrich <ettrich@kde.org>

Definition at line 350 of file dcopobject.h.

## Constructor & Destructor Documentation

DCOPObjectProxy::DCOPObjectProxy | ( |  | ) |

| Creates a new proxy. Definition at line 250 of file dcopobject.cpp. References QPtrList< DCOPObjectProxy >::append().

DCOPObjectProxy::DCOPObjectProxy | ( | DCOPClient * |  | ) |

| Obsolete, do not use. DCOP clients know about object proxies automatically. This class or method is obsolete, it is provided for compatibility only. Definition at line 257 of file dcopobject.cpp. References QPtrList< DCOPObjectProxy >::append().

DCOPObjectProxy::~DCOPObjectProxy | ( |  | ) | `[virtual]`

| Destroy the proxy. Definition at line 264 of file dcopobject.cpp. References QPtrList< DCOPObjectProxy >::removeRef().

## Member Function Documentation

bool DCOPObjectProxy::process | ( | const QCString & | obj,
|  | const QCString & | fun,
|  | const QByteArray & | data,
|  | QCString & | replyType,
|  | QByteArray & | replyData
| ) | `[virtual]`

  | Reimplement this method to dispatch method calls. This method is called of all proxies if the DCOPClient knows no object with the id obj. If the first proxy returns true, the DCOPClient will no longer call other proxies. The object id obj may be empty for app-wide function calls not associated with any object. Parameters:
  obj | The object id, or empty for app-wide function calls not associated with any object.
  fun | is the normalized function signature. Such a signature usually looks like foobar(QString,int). The return type, qualifiers like "const" etc. are not part of the signature.
  data | the received data
  replyType | write the reply type in this string
  replyData | write the reply data in this array
Returns: true if successful, false otherwise. The default implementation returns always false. Definition at line 270 of file dcopobject.cpp.

The documentation for this class was generated from the following files:

- dcopobject.h
- dcopobject.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:42:48 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001